# Method: recall.resetPersona

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/recall/resetPersona#body.HTTP_TEMPLATE)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/recall/resetPersona#body.request_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/recall/resetPersona#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/recall/resetPersona#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/recall/resetPersona#body.ResetPersonaResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/recall/resetPersona#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/recall/resetPersona#try-it)

Delete all Recall tokens linking the given persona to any player (with or without a profile).

### HTTP request

`POST https://games.googleapis.com/games/v1/recall:resetPersona`

### Request body

The request body contains data with the following structure:

|      JSON representation      |
|-------------------------------|
| ``` { "persona": string } ``` |

|                                                   Fields                                                    ||
|-----------|--------------------------------------------------------------------------------------------------|
| `persona` | `string` Value of the 'persona' field as it was provided by the client in recall.linkPersona RPC |

### Response body

Response for the recall.resetPersona RPC

If successful, the response body contains data with the following structure:

|       JSON representation       |
|---------------------------------|
| ``` { "unlinked": boolean } ``` |

|                                            Fields                                             ||
|------------|-----------------------------------------------------------------------------------|
| `unlinked` | `boolean` Required. Whether any tokens were unlinked as a result of this request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).